Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.functions
Class SystemProperty

    java.lang.Object
      |
      +--com.icl.saxon.expr.Expression
            |
            +--com.icl.saxon.expr.Function
                  |
                  +--com.icl.saxon.functions.SystemProperty

public class SystemProperty
extends Function

Field Summary

Fields inherited from class com.icl.saxon.expr.Function
`argument`

Fields inherited from class com.icl.saxon.expr.Expression
`staticContext`

Constructor Summary
`SystemProperty()`

Method Summary
`Value` | `evaluate(Context context)` Evaluate the function
`int` | `getDataType()` Determine the data type of the expression
`int` | `getDependencies()` Get dependencies
`java.lang.String` | `getName()` Get the name of the function.
`static Value` | `getProperty(java.lang.String uri, java.lang.String local)` Here's the real code:
`Expression` | `reduce(int dep, Context c)` Remove dependencies
`Expression` | `simplify()` Validate and simplify

Methods inherited from class com.icl.saxon.expr.Function
`addArgument, checkArgumentCount, display, getNumberOfArguments`

Methods inherited from class com.icl.saxon.expr.Expression
`containsReferences, enumerate, evaluateAsBoolean, evaluateAsNodeSet, evaluateAsNumber, evaluateAsString, getStaticContext, indent, isContextDocumentNodeSet, make, outputStringValue, setStaticContext, usesCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemProperty

    public SystemProperty()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `Function`
  Get the name of the function. This method must be implemented in all subclasses.

  Specified by:
    `getName` in class `Function`
  Returns:
    the name of the function, as used in XSL expressions, but excluding its namespace prefix

### getDataType

    public int getDataType()

  Determine the data type of the expression

  Specified by:
    `getDataType` in class `Expression`
  Returns:
    Value.ANY (meaning not known in advance)

### simplify

    public Expression simplify()
                        throws XPathException

  Validate and simplify

  Overrides:
    `simplify` in class `Expression`
  Returns:
    the simplified expression
    `XPathException`

### evaluate

    public Value evaluate(Context context)
                   throws XPathException

  Evaluate the function

  Specified by:
    `evaluate` in class `Expression`
  Parameters:
    `context` - The context in which the expression is to be evaluated
  Returns:
    the value of the expression, evaluated in the current context
    `XPathException`

### getProperty

    public static Value getProperty(java.lang.String uri,
                                    java.lang.String local)

  Here's the real code:

### getDependencies

    public int getDependencies()

  Get dependencies

  Specified by:
    `getDependencies` in class `Expression`

### reduce

    public Expression reduce(int dep,
                             Context c)
                      throws XPathException

  Remove dependencies

  Specified by:
    `reduce` in class `Expression`
  Parameters:
    `dep` - The dependencies to be removed, e.g. Context.VARIABLES
    `c` - The context to be used for the partial evaluation
  Returns:
    a new expression (or Value) that does not have any of the specified dependencies
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD